// Copyright (C) 1998-1999 Scott Cutler
// Please see the "readme.txt" file for license details

#include "include.h"


/* Only for Quake 2 */
FX_ENTRY void FX_CALL guFogGenerateExp( GrFog_t fogTable[GR_FOG_TABLE_SIZE], float density) {
	vlog("Called guFogGenerateExp");

}

/* Only for Quake 2 */
FX_ENTRY void FX_CALL guFogGenerateExp2( GrFog_t fogTable[GR_FOG_TABLE_SIZE], float density) {
	vlog("Called guFogGenerateExp2");

}

/* Only for Quake 2 */
FX_ENTRY void FX_CALL guFogGenerateLinear( GrFog_t fogTable[GR_FOG_TABLE_SIZE], float nearW, float farW) {
	vlog("Called guFogGenerateLinear");

}


/* Not important */
FX_ENTRY void FX_CALL grFogColorValue( GrColor_t fogcolor ) {
	vlog("Called grFogColorValue")

	_lpD3DD->SetRenderState(D3DRENDERSTATE_FOGCOLOR, colorconv2(fogcolor));
}


/* Not important */
FX_ENTRY void FX_CALL grFogTable( const GrFog_t ft[] ) {
	vlog("Called grFogTable");

	// To do

}


/* Not important */
FX_ENTRY FxFloat FX_CALL guFogTableIndexToW( int i ) {
	vlog("Called guFogTableIndexToW: index=" << i);

	return (FxFloat)pow(2.0, 3.0+(double)(i>>2))/(8-(i&3));
}


/* Maybe important */
FX_ENTRY void FX_CALL grFogMode( GrFogMode_t mode ) {
	vlog("Called grFogMode");

	switch (mode) {
	case GR_FOG_DISABLE:
		_lpD3DD->SetRenderState(D3DRENDERSTATE_FOGENABLE, FALSE);
		break;
	case GR_FOG_WITH_ITERATED_ALPHA:
	case GR_FOG_WITH_TABLE:
	case GR_FOG_ADD2:
	case GR_FOG_MULT2:
//		_lpD3DD->SetRenderState(D3DRENDERSTATE_FOGENABLE, TRUE);
//		_lpD3DD->SetRenderState(D3DRENDERSTATE_FOGTABLEMODE, D3DFOG_LINEAR);
//		_lpD3DD->SetRenderState(D3DRENDERSTATE_FOGTABLEMODE, D3DFOG_EXP);
		break;
	}

	float start=0.0f, end=1.0f;
	float d = 1.0f;
//	_lpD3DD->SetRenderState(D3DRENDERSTATE_FOGTABLEDENSITY, *(DWORD *)(&d));
//	_lpD3DD->SetRenderState(D3DRENDERSTATE_FOGTABLESTART, *(DWORD *)(&start));
//	_lpD3DD->SetRenderState(D3DRENDERSTATE_FOGTABLEEND, *(DWORD *)(&end));

}


