// Copyright (C) 1998-1999 Scott Cutler
// Please see the "readme.txt" file for license details

#include "include.h"

/* Important */
//extern void __stdcall grGlideInit( void ) {
FX_ENTRY void FX_CALL grGlideInit(void) {
	log("Called grGlideInit");

	_tmuMem = new char[_tmuRamBytes];
	_lpD3DFrame = new CD3DFramework();
	Voodoo.fbRam = 2;

    D3DUtil_SetIdentityMatrix( _idenMat );

}

static BOOL CALLBACK enumProc(HWND hwnd, LPARAM lParam)
{
	_hWnd = hwnd;

	return TRUE;
}



/* Maybe important */
FX_ENTRY void FX_CALL grGlideGetVersion (char version[80]) {
	log("Called grGlideGetVersion");

	strcpy(version, "Scott Cutler's Direct3D to Glide Wrapper v0.01");
}



/* Important */
FX_ENTRY void FX_CALL grGlideShutdown( void ) {
	log("Called grGlideShutdown");

	delete [] _tmuMem;

}


/* Only for Marble32 */
FX_ENTRY void FX_CALL grGlideGetState( GrState *state ) {
	vlog("Called grGlideGetState");

}

/* Only for Marble32 */
FX_ENTRY void FX_CALL grGlideSetState(const GrState *state) {
	vlog("Called grGlideSetState");

}


