// Copyright (C) 1998-1999 Scott Cutler
// Please see the "readme.txt" file for license details

#include "include.h"

ofstream of;

HRESULT hr;
HINSTANCE _hInstance;

LPDIRECTDRAW4			_lpDD;         // DirectDraw Interface
LPDIRECT3D3				_lpD3D;        // Direct3D3 Interface
LPDIRECTDRAWSURFACE4	_lpDDSRender;  // Rendering surface
LPDIRECT3DDEVICE3		_lpD3DD;  // D3D Device
DDSURFACEDESC2			_lpDDSurfaceDesc;
LPDIRECT3DVIEWPORT3		_lpD3DViewport;

CD3DFramework			*_lpD3DFrame = 0;
D3DEnum_DriverInfo		*pDriverInfo = 0;
D3DEnum_DeviceInfo		*pDeviceInfo = 0;
DWORD					dwFrameworkFlags = 0;

//const int				_fbRam = 2;

const int				_tmuRamBytes = _tmuRam*1024*1024;
HWND					_hWnd;
GrScreenResolution_t	_screen_resolution;
GrScreenRefresh_t		_refresh_rate;
GrColorFormat_t			_color_format;
GrOriginLocation_t		_origin_location;
//int						_nColBuffers;
//int						_nAuxBuffers;
GrAlpha_t				_alphaRef = 0x00;
FxI16					_depthBias = 0x0000;
GrCmpFnc_t				_depthFunc = GR_CMP_LESS;
char					*_tmuMem;

FxFloat					*smul;
FxFloat					*tmul;

D3DCOLOR				_constantColor = 0xFFFFFF;

D3DMATRIX				_idenMat;

D3DRECT					_D3DViewportRect;

GrErrorCallbackFnc_t	_errorFnc = 0;

//Tex						*_curtex = 0;
TexList					_texlist;

D3DCOLOR (*getcolor)(float, float, float, float);

sVoodoo					Voodoo;